tcltest::test 14.18-runtime-1 { Test compilation of synchronized } {runtime} {
    compile_and_run [saveas T1418r1.java {
class T1418r1 {
    public static void main(String[] args) {
	m();
    }
    static void m() {
	synchronized ("") {
	    int i = 1;
	}
	synchronized ("") {
	    System.out.print("OK");
	}
    }
}
    }]
} OK
